<?php
/*
Copyright Volkhard Stremme 2019 

info@volkhard-stremme.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.

Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, siehe <http://www.gnu.org/licenses/>.

Dieses Script ist Teil von X4Clubs Mitgliederverwaltung
*/
?>
<?php

function ersetze($string,$such,$ersetze)
{
   $test=explode($such,$string);
   $links=$test[0];
   $rechts=$test[1];
   if ($rechts=="")
   {
      $string=$links;
   }
   else
   {
     $string=$links.$ersetze.$rechts;
   }
   return $string;
}
function tagesdatumzeitformatiert()
{
	$tagesdatum=getdate();
       	$Jahr=$tagesdatum['year'];
       	$Monat=$tagesdatum['mon'];
       	$Tag=$tagesdatum['mday'];
	$Stunde=$tagesdatum['hours'];
	$Minute=$tagesdatum['minutes'];
       	$dat=$Tag.".".$Monat.".".$Jahr." ".$Stunde.":".$Minute;
	return $dat;
}

function tagesdatumformatiert()
{
	$tagesdatum=getdate();
       	$Jahr=$tagesdatum['year'];
       	$Monat=$tagesdatum['mon'];
	if(strlen($Monat)==1)
		$Monat="0".$Monat;
       	$Tag=$tagesdatum['mday'];
	if(strlen($Tag)==1)
		$Tag="0".$Tag;
	$dat=$Tag.".".$Monat.".".$Jahr;
	return $dat;
}

function tagesdatumsql()
{
	$tagesdatum=getdate();
       	$Jahr=$tagesdatum['year'];
       	$Monat=$tagesdatum['mon'];
	if(strlen($Monat)==1)
		$Monat="0".$Monat;
       	$Tag=$tagesdatum['mday'];
	if(strlen($Tag)==1)
		$Tag="0".$Tag;

	$dat=$Jahr."-".$Monat."-".$Tag;
       	
	return $dat;
}

 function tagesdatumzeitsql()
 {
 	$tagesdatum=getdate();
        	$Jahr=$tagesdatum['year'];
        	$Monat=$tagesdatum['mon'];
        	$Tag=$tagesdatum['mday'];
 	$Stunde=$tagesdatum['hours'];
 	$Minute=$tagesdatum['minutes'];
 
 	$dat=$Jahr."-".$Monat."-".$Tag." ".$Stunde.":".$Minute;;
        	
 	return $dat;
 }

function datum_englisch($datum)
{
    $test=explode(" ",$datum);
	if($test[1]>"")
		$datum=$test[0];     
    $dat=explode(".",$datum);
	if(isset($dat[0]))
	{
		$ntag=$dat[0];
             $nmonat=$dat[1];
	       $lang=strlen($ntag);
	       if($lang==1)
	            $ntag="0".$ntag;
        	$lang=strlen($nmonat);
	       if($lang==1)
	            $nmonat="0".$nmonat;
			$njahr=$dat[2];
	        if($ntag >"" and $nmonat >"" and $njahr >"")
    	    {
	        	if($ntag=="00" or $nmonat=="00")
			{}
			else
			{
				$erg=checkdate($nmonat,$ntag,$njahr)  ;
		        	if ($erg==0)
	    		    	{
        	  		}
			}
        	}
	        $datum=$njahr."-".$nmonat."-".$ntag;
    	    if ($ntag=="00")
        	    $datum="0000-00-00";
        }
	else
	{
			$datum="";
	}
	return $datum;
}
function datum_deutsch($datum)
{
        $dat=explode("-",$datum);
	if(isset($dat[2]))
	{
	        $ntag=$dat[2];
    	        $nmonat=$dat[1];
        	$njahr=$dat[0];
	        if($nmonat>"")
    	       {
        		$datum=$ntag.".".$nmonat.".".$njahr;
		        if ($ntag=="00")
        		    $datum="00.00.00";
	        }
	}	
	else
	{
			$datum="";
	}			
   	return $datum;
}
function zahl_englisch($zahl)
{
        if($test=strstr($zahl,",")=="")
        {
	    if($test=strstr($zahl,".")=="")
           	$zahl=$zahl.".00";
        }
        else
        {
          $dat=explode(",",$zahl);
          $links=$dat[0];
          $rechts=$dat[1];
          if($rechts=="")
	            $rechts="00";
          $zahl=$links.".".$rechts;
        }
        return $zahl;
}
function zahl_deutsch($zahl)
{

	$zahl= number_format($zahl, 2, ",", ".");
	return $zahl;
	
}
?>
