<?php
/*
Copyright Volkhard Stremme 2019 

info@volkhard-stremme.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.

Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, siehe <http://www.gnu.org/licenses/>.

Dieses Script ist Teil von X4Clubs Mitgliederverwaltung
*/
?>
<?php
define('FPDF_FONTPATH','fpdf/font/');
include('fpdf/fpdf.php');
include("connect.php");
#ini_set("display_errors",1);
include("mysql_func.php");
include("dbclass.php");
include("pdf_func.php");
#ini_set("display_errors",1);
class PDF extends FPDF  
{
	
	function Header()
	{
	global $aktion;
	if($aktion==5)
		return;
	$abstand=0;
	$this->SetFont('Times','B',8);
	//nach rechts gehen
	$this->Cell(10);
	#$this->SetFillColor(228, 235, 243);
	$this->Cell(20);
	$this->SetFillColor(0);
	$dat=tagesdatumformatiert();
	$text="Druckdatum";
	$dat=$text." ".$dat;
	#$this->Cell(20,$abstand,$dat,0,0,'L');
	$this->SetFont('Times','B',16);
	$this->Cell(60);
	
	$this->SetFont('Times','B',8);
	$this->Cell(40);
	$this->SetFont('Times','I',8);
	#$this->Cell(40,$abstand,'www.blue-forms.de ',0,0,'L');

	#$bild=feldlesen($db,"select logo from firmenstamm");
	#$this->Image("$bild",18,20,179,66);

	
	$this->Ln(20);
	}
}


Function gpruef($db,$lfdnr,$was,$ueberschreiben)
{
#	ini_set("display_errors",1);
	$pdf=new PDF();
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','B',12);
		
		$y=14;
		$i=0;
		$pdat=feldlesen($db,"select pruefdatum  from geraetepruefung where lfdnr=$lfdnr");
		$pdat=datum_deutsch($pdat);
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times');
		$gtyp=feldlesen($db,"select geraete_typ from geraetepruefung where lfdnr=$lfdnr");
		$kopftext=utf8_decode("Prüfprotokoll Nr. $lfdnr nach DGUV 208-116 am $pdat Typ: $gtyp");
		$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
		$y=$y+6;
		
	$logo=feldlesen($db,"select logo from auftragnehmer");
		$pdf->Image("..//images/x4clubs/PSF_Logo.jpg",150,29,40,30);
		$sql=felderlesen($db,"select concat(plz,' ',ort),concat(strasse,' ',hausnr) from auftragnehmer where lfdnr=1");
		$sql=utf8_decode($sql);
		$auf=explode("~",$sql);
		$sql=felderlesen($db,"select kundennummer,kundenname,concat(kundenplz,' ',kundenort),concat( kundenstrasse,' ',kundenhausnr) from geraetepruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$ku=explode("~",$sql);
		$sql=felderlesen($db,"select p_anrede,p_vorname,p_nachname from geraetepruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$pr=explode("~",$sql);
		
		$sql=felderlesen($db,"select filialeort,concat(filialestrasse,' ',filialehausnr) from geraetepruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$fil=explode("~",$sql);
		
			$pdf->SetFont('Times','B');
		$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->Cell(20,5,"Auftraggeber",0,1,"L",0);
			
				$pdf->SetY($y);
			$pdf->SetX(95);
			$p=utf8_decode("Prüfer");
			$pdf->Cell(20,5,"$p",0,1,"L",0);
			
					$pdf->SetY($y);
			$pdf->SetX(155);
			$p=utf8_decode("Auftragnehmer");
			$pdf->Cell(20,5,"$p",0,1,"L",0);
				$pdf->SetFont('Times');
		for($j=0;$j<6;$j++)
		{
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			if($j==0)
			$ku[0]="Kdnr: ".$ku[0];
			$pdf->Cell(20,5,"$ku[$j]",0,1,"L",0);
			
			if($j<3)
			{
				$pdf->SetY($y);
				$pdf->SetX(95);
				$pdf->Cell(20,5,"$pr[$j]",0,1,"L",0);
				
				$pdf->SetY($y+22);
				$pdf->SetX(157);
				$pdf->Cell(20,5,"$auf[$j]",0,1,"L",0);
			}
		}
		$pdf->SetFont('Times','B');
		
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->Cell(20,5,"Filiale",0,1,"L",0);
		$pdf->SetFont('Times','');
		$y=$y+6;
		$pdf->SetY($y);
				$pdf->SetX(25);
				$pdf->Cell(20,5,"$fil[0]",0,1,"L",0);
				
		$y=$y+6;
		$pdf->SetY($y);
				$pdf->SetX(25);
				$pdf->Cell(20,5,"$fil[1]",0,1,"L",0);
		$y=$y+6;
		$pdf->SetY($y);
				$pdf->SetX(25);
				$pdf->Cell(20,5,"$fil[2]",0,1,"L",0);		
		
			$pdf->SetY($y+8);
				$pdf->SetX(25);
		$pdf->Cell(180,10," ","T","L","L",0);
		$y=$y+16;
		
		$sql="Select geraete_typ,typenbezeichnung,hersteller,seriennr,inventarnr,spannung,strom,leistung,frequenz,
		schutzklasse,phasen,geraetebild ,pruefintervall,pruefdatum from geraetepruefung where lfdnr=$lfdnr";
		$ger=felderlesen($db,$sql);
		$ger=utf8_decode($ger);
		$g=explode("~",$ger);
		
		$sql="Select pruefgeraet from geraetepruefung where lfdnr=$lfdnr";
		$pgeraet=feldlesen($db,$sql);
		$pgeraet=utf8_decode($pgeraet);
		
		if($g[11]>" ")
			$pdf->Image("$g[11]",25,$y,40,40);
		for($j=0;$j<11;$j++)
		{
			if($j==0)
				$t=utf8_decode("Gerätetyp");
			if($j==1)
				$t=utf8_decode("Typenbezeichnung");	
			if($j==2)
				$t=utf8_decode("Hersteller");	
			if($j==3)
				$t=utf8_decode("Seriennummer");	
			if($j==4)
				$t=utf8_decode("Inventarnummer");	
			if($j==5)
				$t=utf8_decode("Spannung");	
			if($j==6)
				$t=utf8_decode("Strom");			
			if($j==7)
				$t=utf8_decode("Leistung");		
			if($j==8)
				$t=utf8_decode("Frequenz");	
			if($j==9)
				$t=utf8_decode("Schutzklasse");		
			if($j==10)
				$t=utf8_decode("Phasen");											
			$pdf->SetY($y);
			$pdf->SetX(95);
			if($j>4)
				$g[$j]=zahl_deutsch($g[$j]);
			$pdf->Cell(20,5,"$t",0,1,"L",0);
			$pdf->SetY($y);
			$pdf->SetX(135);
			$pdf->Cell(20,5,"$g[$j]",0,1,"L",0);
			
			if($j==4)
			{
				$pdf->SetY($y);
				$pdf->SetX(95);
				$pdf->Cell(80,6,"","B","L","L",0);
				$y=$y+4;
			}
			$y=$y+6;
		}
		$y=$y+6;
		$pdf->SetX(25);
		$pdf->Cell(180,6,"","B","L","L",0);
		$y=$y+4;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$t=utf8_decode("Prüfinterval");	
		$pdf->Cell(20,5,"$t",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(75);
		$pdf->Cell(20,5,"$g[12]",0,1,"L",0);
		$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$t=utf8_decode("Prüfdatum");	
		$pdf->Cell(20,5,"$t",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(75);
		$pdf->Cell(20,5,"$pdat",0,1,"L",0);
		
		$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$t=utf8_decode("Prüfgerät");	
		$pdf->Cell(20,5,"$t",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(75);
		$pdf->Cell(20,5,"$pgeraet",0,1,"L",0);
		
		
		
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$y=14;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
		$y=$y+14;
		$pdf->SetFont('Times','B',12);
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Sichtprüfung");
		$pdf->Cell(180,10,"$text","LRBT","L","C",0);
		$pdf->SetFont('Times','',12);
		$y=$y+14;
		$sql="Select isolierunganschlussleitung,Leitung_und_Anschlussstecker,biegeschutz,zugentlastung,
		Vollstaendigkeit_gehause_schutzabdeckung,Funktion_von_Schaltern,	Ueberlastung_unsachgemaesse_Anwendung,
		Unzulaessige_eingriffe,Sicherheitsbeeinflussende_Verschmutzung,Kuehloeffnung_verschmutzt from geraetepruefung where
		lfdnr=$lfdnr";
		$sichtp=felderlesen($db,$sql);
		$sp=explode("~",$sichtp);
		for($j=0;$j<10;$j++)
		{
			if($j==0)
				$t=utf8_decode("Isolierung der Anschlußleitung");
			if($j==1)
				$t=utf8_decode("Auswahl und Anwendung von Leitung und Anschlußstecker");
			if($j==2)
				$t=utf8_decode("Biegeschutz der Anschlußleitung");
			if($j==3)
				$t=utf8_decode("Zugentlastung der Anschlußleitung");
			if($j==4)
				$t=utf8_decode("Vollständigkeit bezw. Funktion von Gehäuse und Schutzabdeckung");
			if($j==5)
				$t=utf8_decode("Funktion von Schaltern, Steuereinrichtungen oder Einstellvorrichtungen");
			if($j==6)
				$t=utf8_decode("Überlastung oder unsachgemäße Anwendung oder Bedienung");
			if($j==7)
				$t=utf8_decode("Unzulässige Eingriffe oder Veränderungen");
			if($j==8)
				$t=utf8_decode("Sicherheitsbeeinträchtigende Verschmutzung, Korrosion oder Alterung");
			if($j==9)
				$t=utf8_decode("Kühlungsöffnungen verschmutzt oder verstopft");
				
			$pdf->SetY($y);
			$pdf->SetX(25);
			
			$pdf->Cell(100,5,"$t",0,1,"L",0);	
			$pdf->SetY($y);
			$pdf->SetX(155);
			$b=9;
			if($sp[$j]==1)
				$b="Bestanden";
			else
				$b="nicht Bestanden";
			$pdf->Cell(30,5,"$b",0,1,"L",0);	
			$y=$y+6;
				
		}	
		$y=$y+14;
		$pdf->SetFont('Times','B',12);
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("elektrische Prüfung");
		$pdf->Cell(175,10,"$text","LRBT","L","C",0);
		$pdf->SetFont('Times','',12);
		$y=$y+14;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("elektrische Prüfung");
		$pdf->Cell(85,10,"$text","LRBT","L","C",0);
		
		$pdf->SetY($y);
		$pdf->SetX(110);
		$text=utf8_decode("Messung");
		$pdf->Cell(25,10,"$text","LRBT","L","C",0);
		
		$pdf->SetY($y);
		$pdf->SetX(135);
		$text=utf8_decode("Grenzwert");
		$pdf->Cell(30,10,"$text","LRBT","L","C",0);
		
		
		$pdf->SetY($y);
		$pdf->SetX(165);
		$text=utf8_decode("Wertung");
		$pdf->Cell(35,10,"$text","LRBT","L","C",0);
		
		
		$sql="select Schutzleiterwiderstand,Isolationswiderstand,Schutzleiterstrom,
		Geraeteableitstrom,Beruehrungsstrom from geraetepruefung where lfdnr=$lfdnr";
		$x1=felderlesen($db,$sql);
		$ergebnis=explode("~",$x1);
		
		$sql="select M_Schutzleiterwiederstand,M_Isolationswiederstand,M_Schutzleiterstrom,
		M_Geraeteableitstrom,M_Beruehrungsstrom from geraetepruefung where lfdnr=$lfdnr";
		$x2=felderlesen($db,$sql);
		$messung=explode("~",$x2);
		$y=$y+14;
		for($j=0;$j<5;$j++)
		{
			if($j==0)
				$text=utf8_decode("Schutzleiterwiderstand (Sk1/2/3 -PD)");
			if($j==1)
				$text=utf8_decode("Isolationswiderstand (Sk1/2/3 -PD - nicht IT)");
			if($j==2)
				$text=utf8_decode("Schutzleiterstrom / Ersatzableitstrom (Sk1/2 -PD)");	
			if($j==3)
				$text=utf8_decode("Geräteableitstrom / Differenzstrom (Sk1/2 -PD)");		
			if($j==4)
				$text=utf8_decode("Berührungsstrom (Sk1/2 -PD)");	
				
			if($j==0)
				$text2="0(max 30 0)";
			if($j==1)
				$text2="0(min 2,0 M0)";	
			if($j==2)
				$text2="mA(max 3,50 mA)";	
			if($j==3)
				$text2="mA(max 3,50 mA)";		
			if($j==4)
				$text2="mA(max 0,25 mA)";		
			$pdf->SetY($y);		
			$pdf->SetX(25);
			$pdf->Cell(80,6,"$text","","L","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(105);
			$stext=zahl_deutsch($messung[$j]);
			
			$pdf->Cell(20,6,"$stext","","L","R",0);
			$pdf->SetY($y);
			$pdf->SetX(130);
			$pdf->Cell(40,6,"$text2","","L","L",0);
			
			if($ergebnis[$j]==1)
				$erg="Bestanden";
			else
				$erg="nicht Bestanden";
			$pdf->SetY($y);
			$pdf->SetX(170);
			$pdf->Cell(25,6,"$erg","","L","L",0);
			$y=$y+6;
		}
		$y=$y+14;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Bemerkungen");
		$pdf->Cell(180,10,"$text","LRBT","L","C",0);
		$sql="select bemerkung from geraetepruefung where lfdnr=$lfdnr";
		$b=feldlesen($db,$sql);
		$b=utf8_decode($b);
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->MultiCell(80,6,$b);
			$pdf->AliasNbPages();
		$pdf->AddPage();
		$y=14;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
		$y=$y+14;
		$pbild=felderlesen($db,"select bild1,bild2,bild3,bild4 from geraetepruefung where lfdnr=$lfdnr");
	  
	   
			$interv=feldlesen($db,"select pruefintervall from geraetepruefung where lfdnr=$lfdnr");
			if($interv>" ")
			{
				$n=explode(" ",$interv);
			
				$ndat=feldlesen($db,"select date_add(pruefdatum, INTERVAL $n[0] MONTH)
				from geraetepruefung where lfdnr=$lfdnr");
				$ndat=datum_deutsch($ndat);
			}
			else
			{
				$ndat="Kein Prüfintervall eingegeben";
			}
			$bestanden=feldlesen($db,"select berstanden
			from geraetepruefung where lfdnr=$lfdnr");
	    
	    $pbild=explode("~",$pbild);
	    if($pbild[0]>" ")
	    {
			$y=$y+20;
			$pdf->Image($pbild[0],25,$y,60,60);
		}
		if($pbild[1]>" ")
	    {
			
			$pdf->Image($pbild[1],95,$y,60,60);
		}
		if($pbild[2]>" ")
	    {
			$y=$y+70;
			$pdf->Image($pbild[2],25,$y,60,60);
		}
		if($pbild[3]>" ")
	    {
			
			$pdf->Image($pbild[3],95,$y,60,60);
		}
		$y=$y+70;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Prüfung wurde ordnungsgemäß durchgeführt am $ndat");
		$pdf->MultiCell(180,6,"$text");
		
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B');
		if($bestanden=="ja")
			$text=utf8_decode("Funktionsprüfung bestanden");
		else
			$text=utf8_decode("Funktionsprüfung nicht bestanden");
		$pdf->MultiCell(80,6,"$text");
		$pdf->SetFont('Times');
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Nächste Prüfung am $ndat");
		$pdf->MultiCell(180,6,"$text");
			$y=265;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times','',10);
		$text=utf8_decode("Dieses Schreiben wurde maschinell erstellt und ist auch ohne Unterschrift gültig");
		$pdf->MultiCell(180,6,"$text");
		
		
		
		
		
		
		
		$time=time();
		$ok=1;
		if($was==1)
			$pdf->Output();
		if($was==2)
		{
			
			if($ueberschreiben>0)
			{
				$sql="select kundennummer from geraetepruefung where lfdnr=$lfdnr";
				
				$x=feldlesen($db,$sql);
				
				$dat="userdocs/$lfdnr-$x-$gtyp";
				$dat=$dat.".pdf";
			
				
				$ok=1;
				$pdf->Output("$dat","F");
				if($ueberschreiben==2)
				{
					$sql="insert into kunden_berichte(fremd_lfdnr,Dokument,typ,pruefdatum) 
					values($x,'$dat','$gtyp','$pdatmerker')";
					$rst=send_sql($db,$sql);
					$ok=1;
				}
				else
				{
					
					$updatenummer=feldlesen($db,"select lfdnr from kunden_berichte where dokument='$dat' and fremd_lfdnr=$x");
					$sql="update kunden_berichte set Dokument='$dat',typ='$gtyp',pruefdatum='$pdatmerker' where lfdnr=$updatenummer";
					$rst=send_sql($db,$sql);
					$ok=2;
				}
				
			}
			
		}
		return $ok;
}

Function lpruef($db,$lfdnr,$was,$ueberschreiben)
{
	
		
		$pdf=new PDF();
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','B',12);
		
		$y=14;
		$i=0;
		$pdat=feldlesen($db,"select pruefdatum  from stehleiterpruefung where lfdnr=$lfdnr");
		$pdat=datum_deutsch($pdat);
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times');
		$l=feldlesen($db,"select leitertyp from stehleiterpruefung where lfdnr=$lfdnr");
		$kopftext=utf8_decode("Prüfprotokoll Nr. $lfdnr nach DGUV 208-116 am $pdat Leitertyp: $l");
		$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
		$y=$y+6;
		
	
		$pdf->Image("images/x4clubs/PSF_Logo.jpg",150,29,40,30);
		$sql=felderlesen($db,"select concat(plz,' ',ort),concat(strasse,' ',hausnr) from auftragnehmer where lfdnr=1");
		$sql=utf8_decode($sql);
		$auf=explode("~",$sql);
		$sql=felderlesen($db,"select kundennummer,anrede,name,vorname,concat(plz,' ',ort),concat( strasse,' ',hausnummer) from stehleiterpruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$ku=explode("~",$sql);
		$sql=felderlesen($db,"select panrede,pvorname,pname from stehleiterpruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$pr=explode("~",$sql);
			$pdf->SetFont('Times','B');
		$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->Cell(20,5,"Auftraggeber",0,1,"L",0);
			
				$pdf->SetY($y);
			$pdf->SetX(95);
			$p=utf8_decode("Prüfer");
			$pdf->Cell(20,5,"$p",0,1,"L",0);
			
					$pdf->SetY($y);
			$pdf->SetX(155);
			$p=utf8_decode("Auftragnehmer");
			$pdf->Cell(20,5,"$p",0,1,"L",0);
				$pdf->SetFont('Times');
		for($j=0;$j<6;$j++)
		{
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			if($j==0)
			$ku[0]="Kdnr: ".$ku[0];
			$pdf->Cell(20,5,"$ku[$j]",0,1,"L",0);
			
			if($j<3)
			{
				$pdf->SetY($y);
				$pdf->SetX(95);
				$pdf->Cell(20,5,"$pr[$j]",0,1,"L",0);
				
				$pdf->SetY($y+22);
				$pdf->SetX(157);
				$pdf->Cell(20,5,"$auf[$j]",0,1,"L",0);
			}
		}
			$pdf->SetY($y+8);
				$pdf->SetX(25);
		$pdf->Cell(180,10," ","T","L","L",0);
		$y=$y+16;
		
	    $lbild=feldlesen($db,"select leiterbild from stehleiterpruefung where lfdnr=$lfdnr");
	     $lbild=trim($lbild);
		$pdf->Image($lbild,25,$y,30,30);
			$sql=felderlesen($db,"select leitertyp,hersteller,seriennr,baujahr,sprossen,material,standort,inventarnummer from stehleiterpruefung where lfdnr=$lfdnr");
		$sql=utf8_decode($sql);
		$leiter=explode("~",$sql);
		
		
		$pdf->SetY($y);
		$pdf->SetX(65);
		$pdf->Cell(20,5,"Typ: $leiter[0]",0,1,"L",0);

		$pdf->SetY($y);
		$pdf->SetX(125);
		$pdf->Cell(20,5,"Hersteller: $leiter[1]",0,1,"L",0);
		
		$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(65);
		$pdf->Cell(20,5,"Seriennr: $leiter[2]",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(125);
		$pdf->Cell(20,5,"Baujahr: $leiter[3]",0,1,"L",0);
		
			$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(65);
		$pdf->Cell(20,5,"Sprossen: $leiter[4]",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(125);
		$pdf->Cell(20,5,"Material: $leiter[5]",0,1,"L",0);
		
					$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(65);
		$pdf->Cell(20,5,"Standort: $leiter[6]",0,1,"L",0);
		$pdf->SetY($y);
		$pdf->SetX(125);
		$pdf->Cell(20,5,"Inventarnummer: $leiter[7]",0,1,"L",0);
		$y=$y+6;
		$pdf->SetY($y+4);
		$pdf->SetX(25);
			$pdf->SetFont('Times','B',20);
		$g=utf8_decode("Prüfergebnis");
		$pdf->Cell(180,10," $g","","C","C",0);
			$pdf->SetFont('Times','',12);
			$leiter[0]=trim($leiter[0]);
			$leitertyp=$leiter[0];
				if($leitertyp=="Rolltritt" or $leitertyp=="Anlegeleiter")
		{
			
			$y=$y+20;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$pdf->Cell(180,6," Betriebsanleitung ","B","C","C",0);
			$sql=felderlesen($db,"select B_Betriebsanleitung,B_Verbindungen_lose ,B_Risse_Abnutzungen,B_Einbeulungen
			 ,B_Freiloiegende_fasern ,b_Gurte_Ketten ,b_gelenke_beschaedigt,b_scharniere_sicherungshaken,
			 b_gleitende_teile,b_sicherungshaken_lose,b_zugseil_beschaedigt,b_schuhe_fuesse,b_traverse_defekt,
			 B_Lackierung, B_Spannstange_locker,B_Plattform_locker ,B_Brueckenheber from stehleiterpruefung where lfdnr=$lfdnr");
			$sql=utf8_decode($sql);
			$leiter=explode("~",$sql);
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$pdf->Cell(180,6,"vorhanden/ gut leserlich angebracht  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[0]","","C","L",0);
			
			
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$pdf->Cell(180,6," Holme und Sprossen ","B","C","C",0);
			
			
			$y=$y+8;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$pdf->Cell(180,6,"Verbindung lose  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[1]","","C","L",0);
			
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Beschädigungen, Risse, Brüche, Abnutzungen");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[2]","","C","L",0);
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Einbeulungen Knicke");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[3]","","C","L",0);
			
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("freiliegende Fasern bei glasfaserverstärkten Kunststoff");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[4]","","C","L",0);
		  
			
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Lackierung oder Lasur stark beschädigt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
				
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[13]","","C","L",0);
					$y=$y+16;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$text=utf8_decode("Füße und Zubehör");
			$pdf->Cell(180,6," $text ","B","C","C",0);
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Füße, Schuhe, Spitzen, Kappen fehlend oder beschädigt");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
			$pdf->SetY($y);
			$pdf->SetX(125);
			
			
			
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[11]","","C","L",0);
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Traverse, Fußverlängerung defekt");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[12]","","C","L",0);
		}
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
		
			
			
		if($leitertyp=="Mehrzweckleiter" or $leitertyp=="Stehleiter" or $leitertyp=="Multifunktionsleiter"or $leitertyp=="Leitertritt" or $leitertyp=="Podest" or $leitertyp=="Rollpodest")
		{
			
			$y=$y+20;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$pdf->Cell(180,6," Betriebsanleitung ","B","C","C",0);
			$sql=felderlesen($db,"select B_Betriebsanleitung,B_Verbindungen_lose ,B_Risse_Abnutzungen,B_Einbeulungen
			 ,B_Freiloiegende_fasern ,b_Gurte_Ketten ,b_gelenke_beschaedigt,b_scharniere_sicherungshaken,
			 b_gleitende_teile,b_sicherungshaken_lose,b_zugseil_beschaedigt,b_schuhe_fuesse,b_traverse_defekt,
			 B_Lackierung, B_Spannstange_locker,B_Plattform_locker ,B_Brueckenheber from stehleiterpruefung where lfdnr=$lfdnr");
			$sql=utf8_decode($sql);
			$leiter=explode("~",$sql);
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$pdf->Cell(180,6,"vorhanden/ gut leserlich angebracht  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[0]","","C","L",0);
			
			
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$pdf->Cell(180,6," Holme und Sprossen ","B","C","C",0);
			
			
			$y=$y+8;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$pdf->Cell(180,6,"Verbindung lose  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[1]","","C","L",0);
			
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Beschädigungen, Risse, Brüche, Abnutzungen");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[2]","","C","L",0);
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Einbeulungen Knicke");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[3]","","C","L",0);
			
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("freiliegende Fasern bei glasfaserverstärkten Kunststoff");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
				
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[4]","","C","L",0);
		  
			if($leitertyp=="Stehleiter" or $leitertyp=="Leitertritt" or $leitertyp=="Rollpodest" or $leitertyp=="Podest")
			{
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Lackierung oder Lasur stark beschädigt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
				
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[13]","","C","L",0);
					
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Spannstange locker oder beschädigt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
				
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[14]","","C","L",0);
					
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Plattform locker oder beschädigtt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
				
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[15]","","C","L",0);
			}
			
			
			
			
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$pdf->Cell(180,6," Spreizsicherungen ","B","C","C",0);
			if($leitertyp <>"Leitertritt")
			{
				$y=$y+10;
				$pdf->SetY($y);
				$pdf->SetX(25);
				$pdf->SetFont('Times','');
				$text=utf8_decode("Gurte Ketten beschädigt");
				$pdf->Cell(180,6,"$text  ","","C","L",0);
				$pdf->SetY($y);
				$pdf->SetX(125);
				$pdf->SetFont('Times','B');
				$pdf->Cell(20,6,"$leiter[5]","","C","L",0);
				
			}
			
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Gelenke beschädigt");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[6]","","C","L",0);
			if($leitertyp=="Stehleiter" or $leitertyp=="Rollpodest" or $leitertyp=="Podest")
			{
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Brückenheber beschädigt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[16]","","C","L",0);
			}
			
			
				$y=$y+10;
				
			   IF($y>280)
			  {
			
					$pdf->AliasNbPages();
					$pdf->AddPage();
					$pdf->SetFont('Times','B',12);
					
					$y=14;
					$i=0;
					$pdat=feldlesen($db,"select pruefdatum  from stehleiterpruefung where lfdnr=$lfdnr");
					$pdat=datum_deutsch($pdat);
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times');
					$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
					$y=$y+16;
			 }
				
				
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$text=utf8_decode("Beschläge");
			$pdf->Cell(180,6," $text ","B","C","C",0);
			$y=$y+10;
			
			if($leitertyp<>"Leitertritt" )
			{
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Scharniere beschädigt oder lose");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[7]","","C","L",0);
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("gleitende Teile, Gelenke sind gut geschmiert oder geölt");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[8]","","C","L",0);
			}
			if($leitertyp<>"Stehleiter")
			{
					$y=$y+6;
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times','');
					$text=utf8_decode("Sicherungshaken, Fallhaken beschädigt oder lose");
					$pdf->Cell(180,6,"$text  ","","C","L",0);
					$pdf->SetY($y);
					$pdf->SetX(125);
					$pdf->SetFont('Times','B');
					$pdf->Cell(20,6,"$leiter[9]","","C","L",0);
					if($leitertyp <>"Multifunktionsleiter")
					{
							$y=$y+6;
							$pdf->SetY($y);
							$pdf->SetX(25);
							$pdf->SetFont('Times','');
							$text=utf8_decode("Zugseil,Umlenrollen und Endanschlag beschädigt");
							$pdf->Cell(180,6,"$text  ","","C","L",0);
							$pdf->SetY($y);
							$pdf->SetX(125);
							$pdf->SetFont('Times','B');
							$pdf->Cell(20,6,"$leiter[10]","","C","L",0);
					}
			}
				$y=$y+10;
				   IF($y>250)
			  {
			
					$pdf->AliasNbPages();
					$pdf->AddPage();
					$pdf->SetFont('Times','B',12);
					
					$y=14;
					$i=0;
					$pdat=feldlesen($db,"select pruefdatum  from stehleiterpruefung where lfdnr=$lfdnr");
					$pdat=datum_deutsch($pdat);
					$pdf->SetY($y);
					$pdf->SetX(25);
					$pdf->SetFont('Times');
					$pdf->Cell(180,10,"$kopftext ","LRBT","L","L",0);
					$y=$y+16;
			 }
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','B');
			$text=utf8_decode("Füße und Zubehör");
			$pdf->Cell(180,6," $text ","B","C","C",0);
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Füße, Schuhe, Spitzen, Kappen fehlend oder beschädigt");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
			$pdf->SetY($y);
			$pdf->SetX(125);
			
			
			
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[11]","","C","L",0);
			$y=$y+6;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->SetFont('Times','');
			$text=utf8_decode("Traverse, Fußverlängerung defekt");
			$pdf->Cell(180,6,"$text  ","","C","L",0);
			$pdf->SetY($y);
			$pdf->SetX(125);
			$pdf->SetFont('Times','B');
			$pdf->Cell(20,6,"$leiter[12]","","C","L",0);
		}
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','B',12);
		
		$y=14;
		$i=0;
		$pdat=feldlesen($db,"select pruefdatum  from stehleiterpruefung where lfdnr=$lfdnr");
		$pdatmerker=$pdat;
		$pdat=datum_deutsch($pdat);
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times');
		$l=feldlesen($db,"select leitertyp from stehleiterpruefung where lfdnr=$lfdnr");
		$text=utf8_decode("Prüfprotokoll Nr. $lfdnr nach DGUV 208-116 am $pdat Leitertyp: $l");
		$pdf->Cell(180,10,"$text ","LRBT","L","L",0);
		$y=$y+16;
		
		$bemerkung=feldlesen($db,"select bemerkung from stehleiterpruefung where lfdnr=$lfdnr");
		$bemerkung=utf8_decode($bemerkung);
		
		
		
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->MultiCell(80,6,$bemerkung);
		
		$pbild=felderlesen($db,"select pruefbild1,pruefbild2,pruefbild3,pruefrbild4 from stehleiterpruefung where lfdnr=$lfdnr");
	  
	   
			$interv=feldlesen($db,"select pruefintervall from stehleiterpruefung where lfdnr=$lfdnr");
			if($interv>" ")
			{
				$n=explode(" ",$interv);
			
				$ndat=feldlesen($db,"select date_add(pruefdatum, INTERVAL $n[0] MONTH)
				from stehleiterpruefung where lfdnr=$lfdnr");
				$ndat=datum_deutsch($ndat);
			}
			else
			{
				$ndat="Kein Prüfintervall eingegeben";
			}
			$bestanden=feldlesen($db,"select bestanden
			from stehleiterpruefung where lfdnr=$lfdnr");
	    
	    
	    $rep=feldlesen($db,"select datum_reparatur
			from stehleiterpruefung where lfdnr=$lfdnr");
			$rep=datum_deutsch($rep);
			$vers=feldlesen($db,"select datum_verschrottung
			from stehleiterpruefung where lfdnr=$lfdnr");
			$vers=datum_deutsch($vers);
			
	    $pbild=explode("~",$pbild);
	    if($pbild[0]>" ")
	    {
			$y=$y+20;
			$pdf->Image($pbild[0],25,$y,60,60);
		}
		if($pbild[1]>" ")
	    {
			
			$pdf->Image($pbild[1],95,$y,60,60);
		}
		if($pbild[2]>" ")
	    {
			$y=$y+70;
			$pdf->Image($pbild[2],25,$y,60,60);
		}
		if($pbild[3]>" ")
	    {
			
			$pdf->Image($pbild[3],95,$y,60,60);
		}
		$y=$y+70;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Ergebnis der Fuinktionsprüfung am $ndat");

		$pdf->Cell(180,8,"$text ","LRBT","L","L",0);
		
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Prüfung wurde ordnungsgemäß durchgeführt");
		$pdf->MultiCell(180,6,"$text");
		$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B');
		if($bestanden=="ja")
			$text=utf8_decode("Funktionsprüfung bestanden");
		else
			$text=utf8_decode("Funktionsprüfung nicht bestanden");
		$pdf->MultiCell(80,6,"$text");
		$pdf->SetFont('Times');
		$y=$y+6;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Nächste Prüfung am $ndat");
		$pdf->MultiCell(180,6,"$text");
		
		$y=$y+20;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Reparatur / Verschrottung");

		$pdf->Cell(180,8,"$text ","LRBT","L","L",0);
		
		
		if($rep>" ")
		{
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$text=utf8_decode("Reparatur am $rep");
			$pdf->MultiCell(180,6,"$text");
		}
		if($vers>" ")
		{
			$y=$y+10;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$text=utf8_decode("Verschrottung am $vers");
			$pdf->MultiCell(180,6,"$text");
		}
			$y=265;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times','',10);
		$text=utf8_decode("Dieses Schreiben wurde maschinell erstellt und ist auch ohne Unterschrift gültig");
		$pdf->MultiCell(180,6,"$text");
		$time=time();
		$ok=1;
		if($was==1)
			$pdf->Output();
		if($was==2)
		{
			
			if($ueberschreiben>0)
			{
				$sql="select kundennummer from stehleiterpruefung where lfdnr=$lfdnr";
				
				$x=feldlesen($db,$sql);
				
				$dat="userdocs/$lfdnr-$x-$leitertyp";
				$dat=$dat.".pdf";
			
				
				$ok=1;
				$pdf->Output("$dat","F");
				if($ueberschreiben==2)
				{
					$sql="insert into kunden_berichte(fremd_lfdnr,Dokument,typ,pruefdatum) 
					values($x,'$dat','$leitertyp','$pdatmerker')";
					$rst=send_sql($db,$sql);
					$ok=1;
				}
				else
				{
					
					$updatenummer=feldlesen($db,"select lfdnr from kunden_berichte where dokument='$dat' and fremd_lfdnr=$x");
					$sql="update kunden_berichte set Dokument='$dat',typ='$leitertyp',pruefdatum='$pdatmerker' where lfdnr=$updatenummer";
					$rst=send_sql($db,$sql);
					$ok=2;
				}
				
			}
			
		}
		return $ok;
}
function PDFRechnungdruck($abfragename,$user,$db,$id,$rid,$druck,$druckart)
{

	$pdf=new PDF();

	$sql="select distinct adressen.lfdnr,rechnungen.Rechnungssumme as Rechnungssumme,
	rechnungen.Rechnungsnummer as Rechnungsnummer,
	rechnungen.fremd_lfdnr,rechnungen.saldo,rechnungsdatum
	from adressen left join  mitgliederdeibitorenkonto on adressen.idnr = mitgliederdeibitorenkonto.fremd_lfdnr left join  rechnungen on adressen.idnr = rechnungen.fremd_lfdnr 
	 where rechnungen.lfdnr>0 and Rechnungssumme>0 and erledigt=0";
	 if($druckart==2)
	 $sql=$sql." and adressen.rechnungsversand='Post'";
	  if($druckart==3)
		$sql=$sql." and adressen.rechnungsversand='Mail'";
		# and( Rechnungsversand='Post' or Rechnungsversand='' or Rechnungsversand is NULL)";
	$bedingung=feldlesen($db,"Select bedingungssql from auswertungen where name='$abfragename'");
	if($bedingung>" ")
	{
		$bedingung=str_replace("~","'",$bedingung);
		$sql=$sql." and (".$bedingung.")";
	}
	if($abfragename=="XYC")
	{
		$sql="select distinct adressen.lfdnr,rechnungen.Rechnungssumme as Rechnungssumme,rechnungen.Rechnungsnummer as Rechnungsnummer,rechnungen.fremd_lfdnr,rechnungen.saldo,
		rechnungsdatum
		from adressen left join  mitgliederdeibitorenkonto on adressen.idnr = mitgliederdeibitorenkonto.fremd_lfdnr left join  rechnungen on adressen.idnr = rechnungen.fremd_lfdnr 
		where rechnungen.lfdnr>0 and Rechnungssumme > 0 and erledigt=0 and rechnungen.fremd_lfdnr=$id and rechnungsnummer=$rid";

	}
	
	#$firmenstamm=felderlesen($db,"Select name1,name2,postleitzahl,ort,strasse,logo,email,aspfax,asptelefon,bankinstitut,bankleitzahl,kontonummer from firmenstamm");
	#echo $sql;	

	#$vwerbung=felderlesen($db,"Select * from rechnungsparameter");
	#$werbung=explode("~",$vwerbung);
	
	$jahr=$werbung[3];
	$faellig=$werbung[4];
	$sachbearbeiter=$werbung[6];
	$druckdat=$werbung[5];
	$res=send_sql($db,$sql);
	while ($row = mysqli_fetch_array($res,MYSQLI_ASSOC))
 	{
		if($druck==2)
			$pdf=new PDF();
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','B',10);
		#$pdf->Image("Bilder/muster.jpg",40,90,140,60);
		$y=64;
		$i=0;
		foreach($row as $elem)
        	{
			$i++;
			if($i==1)
				$lfdnr=$elem;
			if($i==2)
				$rsumme=zahl_deutsch($elem);
			if($i==3)
				$rnr=$elem;
			if($i==4)
				$mnr=$elem;
			if($i==5)
			{
				$elem=$elem *-1;
				$saldo=zahl_deutsch($elem);
			}
			if($i==6)
				$rdat=datum_deutsch($elem);
			
		}
		$adresse=felderlesen($db,"Select adr_name1,adr_name2,adr_plz,adr_ort,adr_strasse,adr_anrede,adr_titel,adr_name3,adr_ansprache ,adr_zahlart from adressen where lfdnr=$lfdnr");
		$v=explode("~",$adresse);
		$name=$v[0]." ".$v[1];
		$name=utf8_decode($name);
		$ort=$v[2]." ".$v[3];
		$ort=utf8_decode($ort);
		$strasse=$v[4];
		$strasse=utf8_decode($strasse);
		$anrede=$v[5];
		$titel=$v[6];
		$titel=utf8_decode($titel);
		if($titel>" ")
			$name=$titel." ".$name;
		$zusatz=$v[7];
		$zusatz=utf8_decode($zusatz);
		$land=$v[8];
		$land=utf8_decode($land);
		$ansprache=$v[8];
		$ansprache=utf8_decode($ansprache);
		$adr_zahlart=$v[9];
		$y=61;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times');
		if($anrede>" ")
			$pdf->Cell(40,5,"$anrede",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$name",0,1,"L",0);
		if($zusatz>" ")
		{
			$y=$y+5;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->Cell(40,5,"$zusatz",0,1,"L",0);

		}
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$strasse",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$ort",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		#$pdf->Cell(40,5,"$land",0,1,"L",0);


		$pdf->SetY(100);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B',10);
		$text=utf8_decode("Rechnungsnummer");
		$pdf->Cell(40,5,"$text:$jahr/$rnr",0,1,"L",0);
		$pdf->SetY(100);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B',10);
		$text=utf8_decode("Rechnungsnummer");
		$pdf->SetFont('Times','',10);
		
		
		$pdf->Cell(147,5,"Datum $rdat",0,1,"R",0);
		$pdf->SetFont('Times','B',10);
		$pdf->SetY(106);
		$pdf->SetX(25);
		$pdf->Cell(75,5,"Mitgliedsnr. $mnr",0,1,"L",0);
		
		$pdf->SetY(111);
		$pdf->SetX(25);
		$pdf->Cell(75,5,"Rechnungsbetrag $rsumme EUR",0,1,"L",0);
		$pdf->SetY(130);
		$pdf->SetX(25);
		 $pdf->SetFont('Times'); 
		$pdf->Cell(75,5,"$ansprache",0,1,"L",0);
		
		$y=138;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("der Beitrag $rsumme EUR für den unten genannten Zeitraum ist zur Zahlung fällig");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		
		$y=$y+5;
		$sqlx="select rechnungen.betrag,buchungstext
	    from rechnungen where rechnungen.fremd_lfdnr=$mnr and erledigt=0";
		$resx=send_sql($db,$sqlx);
		while ($row = mysqli_fetch_array($resx,MYSQLI_ASSOC))
		{
			
			
			$i=0;
			foreach($row as $elem2)
			{
				$i++;
				if($i==1)
					$eb=$elem2;
				if($i==2)
					$et=$elem2;
				
			}
			$pdf->SetFont('Times','I'); 
			$y=$y+5;
			$pdf->SetY($y);
		    $pdf->SetX(25);
		    $text=utf8_decode("$et");
		    $pdf->Cell(75,5,"$text",0,1,"L",0);
		    $pdf->SetFont('Times'); 
			$pdf->SetY($y);
		    $pdf->SetX(95);
		    $text=zahl_deutsch($eb);
		    $pdf->Cell(75,5,"$text EUR",0,1,"R",0);
		    
		}  
		 $pdf->SetFont('Times'); 
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		if($adr_zahlart=="Rechnung")
		{
			$text=feldlesen($db,"select faelligtext from rechnungsparameter where lfdnr=1");
			$text=utf8_decode("$text");
		}
		else
		{
			$text=feldlesen($db,"select lastschrifttext from rechnungsparameter where lfdnr=1");
			$text=utf8_decode("$text");
		}	
		$pdf->Cell(75,5,"$text",0,1,"L",0);





	
		if($adr_zahlart=="Rechnung")
		{
			$erg=felderlesen($db,"select bankinstitut,iban,bic from firmenstamm");
			$e=explode("~",$erg);
			$y=$y+10;
			$pdf->SetFont("Arial","B",10);
			$pdf->SetY($y);
			$pdf->SetX(25);
			$text=utf8_decode($e[0]);
			$pdf->Cell(155,5,"$text",0,1,"C",0);
			
			$y=$y+6;
			$pdf->SetFont("Arial","B",10);
			$pdf->SetY($y);
			$pdf->SetX(25);
			$text=utf8_decode($e[1]);
			$pdf->Cell(155,5,"IBAN $text",0,1,"C",0);
				$y=$y+6;
			$pdf->SetFont("Arial","B",10);
			$pdf->SetY($y);
			$pdf->SetX(25);
			$text=utf8_decode($e[2]);
			$pdf->Cell(155,5,"BIC $text",0,1,"C",0);
			$pdf->SetFont("Arial","",10);
			
			
		}	
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Mit freundlichen Grüßen");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		#$text=utf8_decode("Musterverein");
		#$pdf->Cell(75,5,"$text",0,1,"L",0);

	
		
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=feldlesen($db,"select werbetext from rechnungsparameter where lfdnr=1");
		$text=utf8_decode("$text");
		$pdf->MultiCell( 180, 10, $text , 'TB', 'C', 0);
		$y=265;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont("Arial","",8);
	
		$text=utf8_decode("Dieses Schreiben wurde elektronisch erstellt und hat auch ohne Unterschriftseine Gültigkeit");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		$d=tagesdatumsql();
		$ds=datum_deutsch($d);
		#if($druck==3)
		#	$pdf->Output("mailversand/R-$mnr-$ds.pdf",false);
		if($druck==2)
		{
			$test=feldlesen($db,"select lfdnr from adressen_dokus where dokument='..//protokolle/rechnungen/R-$mnr-$ds.pdf'");
			if($test>0)
			{
				$sql="delete from adressen_dokus where lfdnr=$test";
				$rtz=send_sql($db,$sql);
			}
			$pdf->Output("..//protokolle/rechnungen/R-$mnr-$ds.pdf","F");	
			#$pdf->Output("..//mailversand/rechnungen/R-$mnr-$ds.pdf","F");	
			
			$sql="insert into adressen_dokus(fremd_lfdnr,Dokument,datum,beschreibung,email)
			 values ($mnr,'..//protokolle/rechnungen/R-$mnr-$ds.pdf','$d','Beitragsrechnung',1)";
			 $rtx=send_sql($db,$sql);
		}
	}
	if($druck==1)
		$pdf->Output($time);
	if($druck==2 or $druck==3)
	{
		echo "<h1 align=center>Verarbeitung beendet</h1>";
		echo "<h3 align=center>Über das Programm E-Mail Versand können die Rechnungen versendet werden</h3>";
		echo "<h3 align=center>Wählen Sie dort die Empfänger Liste E-Mail Versand Rechnungen</h3>";
	}
	
}


function PDFMahnungdruck($druck,$user,$db,$id,$rid)
{

	$pdf=new PDF();
$druck=1;
	$sql="select distinct adressen.lfdnr,sum(mahnbetrag),mahngebuehr,mahndat,adressen.mahnstufe from adressen left join mahnungen on
	adressen.idnr=mahnungen.fremd_lfdnr where mahnungen.lfdnr>0 group by mahnungen.fremd_lfdnr ";
	
	
	$res=send_sql($db,$sql);
	while ($row = mysqli_fetch_array($res,MYSQLI_ASSOC))
 	{
		
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','B',10);
		#$pdf->Image("Bilder/muster.jpg",40,90,140,60);
		$y=64;
		$i=0;
		foreach($row as $elem)
        	{
			$i++;
			if($i==1)
				$lfdnr=$elem;
			if($i==2)
				$rsumme=zahl_deutsch($elem);
			if($i==3)
				$mg=$elem;
			if($i==4)
				$rdat=datum_deutsch($elem);
			if($i==5)
				$stufe=$elem;
		}
		$adresse=felderlesen($db,"Select adr_name1,adr_name2,adr_plz,adr_ort,adr_strasse,adr_anrede,adr_titel,adr_name3,adr_ansprache ,adr_zahlart ,idnr from adressen where lfdnr=$lfdnr");
		$v=explode("~",$adresse);
		$name=$v[0]." ".$v[1];
		$name=utf8_decode($name);
		$ort=$v[2]." ".$v[3];
		$ort=utf8_decode($ort);
		$strasse=$v[4];
		$strasse=utf8_decode($strasse);
		$anrede=$v[5];
		$titel=$v[6];
		$titel=utf8_decode($titel);
		if($titel>" ")
			$name=$titel." ".$name;
		$zusatz=$v[7];
		$zusatz=utf8_decode($zusatz);
		$land=$v[8];
		$land=utf8_decode($land);
		$ansprache=$v[8];
		$ansprache=utf8_decode($ansprache);
		$adr_zahlart=$v[9];
		$mnr=$v[10];
		$y=61;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont('Times');
		if($anrede>" ")
			$pdf->Cell(40,5,"$anrede",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$name",0,1,"L",0);
		if($zusatz>" ")
		{
			$y=$y+5;
			$pdf->SetY($y);
			$pdf->SetX(25);
			$pdf->Cell(40,5,"$zusatz",0,1,"L",0);

		}
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$strasse",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->Cell(40,5,"$ort",0,1,"L",0);
		$y=$y+5;
		$pdf->SetY($y);
		$pdf->SetX(25);
		#$pdf->Cell(40,5,"$land",0,1,"L",0);


		$pdf->SetY(100);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B',10);
		if($stufe==0)
			$text="Zahlungserinnerung";
		if($stufe>0)
			$text=$stufe.". Mahnung";	
		$text=utf8_decode("$text");
		$pdf->Cell(40,5,"$text",0,1,"L",0);
		$pdf->SetY(100);
		$pdf->SetX(25);
		$pdf->SetFont('Times','B',10);
		$text=utf8_decode("Rechnungsnummer");
		$pdf->SetFont('Times','',10);
		
		
		$pdf->Cell(147,5,"Datum $rdat",0,1,"R",0);
		$pdf->SetFont('Times','B',10);
		$pdf->SetY(106);
		$pdf->SetX(25);
		$pdf->Cell(75,5,"Mitgliedsnr. $mnr",0,1,"L",0);
		
		$pdf->SetY(111);
		$pdf->SetX(25);
		$pdf->Cell(75,5,"Mahngebtrag $rsumme EUR",0,1,"L",0);
		$pdf->SetY(130);
		$pdf->SetX(25);
		 $pdf->SetFont('Times'); 
		$pdf->Cell(75,5,"$ansprache",0,1,"L",0);
		
		$y=138;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("der Beitrag $rsumme EUR für den unten genannten Zeitraum ist zur Zahlung fällig");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		
		$y=$y+5;
		$sqlx="select mahnbetrag,buchungstext
	    from mahnungen where fremd_lfdnr=$mnr ";
		$resx=send_sql($db,$sqlx);
		while ($row = mysqli_fetch_array($resx,MYSQLI_ASSOC))
		{
			
			
			$i=0;
			foreach($row as $elem2)
			{
				$i++;
				if($i==1)
					$eb=$elem2;
				if($i==2)
					$et=$elem2;
				
			}
			$pdf->SetFont('Times','I'); 
			$y=$y+5;
			$pdf->SetY($y);
		    $pdf->SetX(25);
		    $text=utf8_decode("$et");
		    $pdf->Cell(75,5,"$text",0,1,"L",0);
		    $pdf->SetFont('Times'); 
			$pdf->SetY($y);
		    $pdf->SetX(95);
		    $text=zahl_deutsch($eb);
		    $pdf->Cell(75,5,"$text EUR",0,1,"R",0);
		    
		}  
		 $pdf->SetFont('Times'); 
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
			
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		$text=utf8_decode("Mit freundlichen Grüßen");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		
		$y=$y+10;
		$pdf->SetY($y);
		$pdf->SetX(25);
		#$text=utf8_decode("Musterverein");
		#$pdf->Cell(75,5,"$text",0,1,"L",0);

	
		
		$y=$y+10;
		
		$pdf->SetY($y);
		$pdf->SetX(25);
		$pdf->SetFont("Arial","",8);
	
		$text=utf8_decode("Dieses Schreiben wurde elektronisch erstellt und hat auch ohne Unterschriftseine Gültigkeit");
		$pdf->Cell(75,5,"$text",0,1,"L",0);
		$d=tagesdatumsql();
		$ds=datum_deutsch($d);
		if($druck==3)
			$pdf->Output("mailversand/M-$mnr-$ds.pdf",false);
		if($druck==2)
		{
			$pdf->Output("userdocs/M-$mnr-$ds.pdf",false);	
			$sql="insert into adressen_dokus(fremd_lfdnr,Dokument,datum,beschreibung)
			 values ($mnr,'userdocs/M-$mnr-$ds.pdf','$d','Mahnungsschreiben')";
			 $rt=send_sql($db,$sql);
		}
	}
	
	$time=time();
	if($druck==1)
		$pdf->Output();
	if($druck==2 or $druck==3)
		echo " Verarbeitung beendet";
	
}

function tabellenkopf()
{

	global $pdf;
	$pdf=new PDF();
	$pdf->SetX(20);
	$zeile=4;
	$pdf->Cell(15,$zeile,"Datum","B",0,"R");
	$pdf->Cell(15,$zeile,"Bereich","B",0,"R");
	$pdf->Cell(72,$zeile,"Termin","B",0,"L");
	$pdf->Cell(30,$zeile,"Ablaufdatum","B",0,"L");
	$pdf->Cell(50,$zeile,"Betreff","B",2,"L");
	$pdf->SetY($pdf->GetY()+4);
}

function bereichlesen($bereich,$nummer,$db)
{
   switch($bereich)
   {
	case "F�hrerschein";
	$sql="select fuehrscheinklasse,fuehrscheinklasseA,fuehrscheinklasseB from kundenprivat where fremd_lfdnr=".$nummer;
        $text="F�hrerscheinklassen: ";
	$a=0;
        break;
	case "Spachen";
	$sql="select Sprachkenntnisse,SprachkenntnisseA,SprachkenntnisseB from kundenprivat where fremd_lfdnr=".$nummer;
	$text="Sprachen: ";
	$a=0;
	break;
	case "Fortbildung";
	$sql="select ForbildungA from kundenprivat where fremd_lfdnr=".$nummer;
   	$text="Fortbildungen: ";
	$a=1;
	break;
   }
   $erg="";	
   if($sql>"")
   {	
	if($a==0)
		$erg=felderlesen($db,$sql);	
	if($a==1)
		$erg=feldlesen($db,$sql);	
	if(strlen($erg) >4)   
	{
		
		$erg=strtr($erg,"~",", ");
		return $text.$erg;
	}
     }
}	
function persoenlicheF($nummer,$db)
{
   	$sql="select besonderequlifikationen from kundenprivat where fremd_lfdnr=".$nummer;
	$text="Besondere pers�nliche F�higkeiten von mir sind: ";
	$erg=feldlesen($db,$sql);	
	if($erg>"")   
	{
		
		return $text.$erg.".";
	}

}	
function berufserfahrung($nummer,$db)
{
   	$sql="select berufserfahrung from kundenberufswahl where fremd_lfdnr=".$nummer;
	$erg=feldlesen($db,$sql);	
	if($erg>0)
	{
		$erg=felderlesen($db,"Select berufserfahrung,kategorie,taetigkeit from kundenberufswahl where fremd_lfdnr=".$nummer);
		$felder=explode("~",$erg);
		if($felder[1]>"")
		{
			$text="Ich habe $felder[0] Jahre Berufserfahrung in der  $felder[1] Branche als $felder[2]";
			return $text;
		}
	}
}
function monatsname($jahr,$monat)
{
$Monatsname=strftime('%b',mktime(0,0,0,$monat,1,$jahr));
		if($Monatsname=="Aug")
  			$Monatsname="August";
		if($Monatsname=="Sep")
  			$Monatsname="September";
		if($Monatsname=="Oct")
  			$Monatsname="Oktober";
		if($Monatsname=="Nov")
		$Monatsname="November";
			if($Monatsname=="Dec")
		$Monatsname="Dezember";
		if($Monatsname=="Jul")
			$Monatsname="Juli";
		if($Monatsname=="Jun")
			$Monatsname="Juni";
		if($Monatsname=="May")
			$Monatsname="Mai";
		if($Monatsname=="Apr")
			$Monatsname="April";
		if($Monatsname=="Mar")
			$Monatsname="M&auml;rz";
		if($Monatsname=="Feb")
			$Monatsname="Februar";
		if($Monatsname=="Jan")
			$Monatsname="Januar";
		return  $Monatsname;
}	
?>
