<?php
/*
Copyright Volkhard Stremme 2019 

info@volkhard-stremme.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.

Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, siehe <http://www.gnu.org/licenses/>.

Dieses Script ist Teil von X4Clubs Mitgliederverwaltung
*/
?>
<?php

    if($datendatei=="sys_automaske")
    {
		
  	     $varinhalt=$_POST["Tabelle"];
       	automaske($varinhalt,$db);
    }
  	
    if($datendatei=="sys_tabellen")
    {
		
            $varinhalt=$_POST["Tabelle"];
            if($varinhalt=="")
            {
                    fehler(2);
                    $fehler=1;
            }
            $varinhalt=strtolower($varinhalt);
            $test=strstr($varinhalt," ");
            if ($test>"")
            {
                    fehler(1);
                    $fehler=1;
            }
            if ($fehler==0)
                    $fehler=sonderzeichentest($varinhalt);
        
            if ($fehler==0)
            {
				
	
				$test=$_POST["Tabelle"];
				$check = mysqli_query ($linkid,"SELECT * FROM `$test` LIMIT 0,1",0);  

				if ($check)
				{ 
				
					echo "<b>Tabelle bereits vorhanden";
					return;
				}
			
                    $varinhalt=$_POST["Tabelle"];
                    $u=$_POST["ueberwachung"];
  
                    $sql="CREATE TABLE IF NOT EXISTS ".$varinhalt." (
                    lfdnr int(11) NOT NULL auto_increment,
                    status date default NULL,
                    fremd_lfdnr int(11) not null default 0,dbstatus int(11) not null default 0,";
                    if($u==1 or  $u=="on")
                    {	
                        $sql=$sql."recid int(11) default NULL,
                        Idnr int(11) default NULL,
                        periodegueltigab datetime default NULL,
                        periodegueltigbis datetime default NULL,
                        firma int(11) default NULL,
                        idnrtmp int(11) default NULL,
                        hauptsatz int(11) default NULL,
                        del int(11) NOT NULL default '0',
                        angelegtvon varchar(20) default NULL,
                        angelegtam date default NULL,
                        geaendertam date default NULL,
                        geaendertvon varchar(20) default NULL,
                        geloeschtam date default NULL,
                        geloeschtvon varchar(20) default NULL,";
                    }
                    $sql=$sql."PRIMARY KEY  (lfdnr),
                    KEY fremdlfdnr (fremd_lfdnr)";
                    if($u<>1)
                        $sql=$sql.")";
                    if($u==1)
                    {	
  
                            $sql=$sql.",KEY idnr (IDNR)";
                            $sql=$sql.") ENGINE=InnoDB  DEFAULT CHARSET=utf8 ";
                    }
                   
                    $res=send_sql($db,$sql);
                    $sql="Insert into sys_tabellenfelder(tabelle,feld,feldtype) values('".$varinhalt."','lfdnr','int')";
                    $res=send_sql($db,$sql);
                    if($u==1)
                    {	
  
                            $sql="Insert into sys_tabellenfelder(tabelle,feld,feldtype) values('".$varinhalt."','IDNR','int')";
                            $res=send_sql($db,$sql);
                    }    
                    echo "<h3>Tabelle erstellt</h3>";
            }
    }
    if($datendatei=="sys_tabellenfelder")
  
    {
      $fehler=0;
 
      $test=strstr($tabfeld[3]," ");
      if ($test>"")
      {
         fehler(1);
         $fehler=1;
      }
      if($tabfeld[2]=="")
      {
         fehler(2);
         $fehler=1;
      }
      if($tabfeld[3]=="")
      {
         fehler(3);
         $fehler=1;
      }
      if ($fehler==0)
         $fehler=sonderzeichentest($tabfeld[3]);
  
      if($tabfeld[4]=="")
      {
         fehler(4);
         $fehler=1;
      }
  
      $test=strstr($tabfeld[2]," ");
      if ($test>"")
      {
         fehler(5);
         $fehler=1;
      }
      if ($fehler==0)
         $fehler=sonderzeichentest($tabfeld[2]);
  
     if($tabfeld[4]=="date" or $tabfeld[4]=="int" or $tabfeld[4]=="time" or $tabfeld[4]=="text"  or $tabfeld[4]=="memo")
     {
     }
     else
     {
       if($tabfeld[5]==0)
       {
          fehler(6);
          $fehler=1;
       }
      }
      if($fehler==0)
      {
            if($tabfeld[4]=="memo")
                $tabfeld[4]="text";
            if($tabfeld[4]=="date" or $tabfeld[4]=="int"  or $tabfeld[4]=="time" or $tabfeld[4]=="text")
            {
                $sql="ALTER TABLE ".$tabfeld[2]." ".
                " ADD ".$tabfeld[3]." ".$tabfeld[4];
  
  
            }
            else
            {
                $sql="ALTER TABLE ".$tabfeld[2]." ".
                " ADD ".$tabfeld[3]." ".$tabfeld[4]." (".$tabfeld[5].")";
            }
            echo $sql;
            $res=send_sql($db,$sql);
  
            if ($res==0)
            {
                 $fehler=0;
                 fehler(7);
  
            }
  	
  
      }
    }
    if ($datendatei=="sys_listen")
    {
        $test=$_POST["listfelder"];
        $lang=strlen($test);
        $test=substr($test,0,6);
  
        $test=$_POST["listtypen"];
        $lang=strlen($test);
        $test=substr($test,0,4);
  
        if($test>"")
        {
          if($test<>"zahl")
          {
             $text= "Das erste Feld einer Datenliste muss der Feldtyp zahl sein";
             $fehler=1;
             fehler(9);
          }
        }
        $i=0;
        $i=strpos($_POST["listtypen"],",,",0);
        if($i>0)
        {
           $text= "Syntaxfehler bei ,, Typen";
           $fehler=1;
           fehler(10);
        }
        $i=0;
        $i=strpos($_POST["listfelder"],",,",0);
        if($i>0)
        {
           $text= "Syntaxfehler bei ,, Felder";
           $fehler=1;
           fehler(11);
        }
        $i=0;
        $i=strpos($_POST["Summe"],",,",0);
        if($i>0)
        {
           $text= "Syntaxfehler bei ,,Summen";
           $fehler=1;
           fehler(12);
        }
        $i=0;
        $i=strpos($_POST["listtypen"]," ",0);
        if($i>0)
        {
           $text= "Syntaxfehler bei Typen Leerstelle nicht erlaubt";
           $fehler=1;
           fehler(13);
        }
  
        $i=0;
        $i=strpos($_POST["Summe"]," ",0);
        if($i>0)
        {
           $text= "Syntaxfehler bei Summen Leerstelle nicht erlaubt";
           $fehler=1;
           fehler(14);
        }
  
   }
   if ($datendatei=="sys_felder")
   {
     $fehler=0;
     /*$_POST["name"]=$_POST["Datei"];*/
  
     if($_POST["name"]>"" && $_POST["Datei"]>"" &&  $_POST["feld"]=="" )
     {
        $fehler=2;
     }
     if($_POST["name"]>"" && $_POST["Datei"]>"" &&  $_POST["feld"]>"" && $_POST["nsttabelle"]>"" && $_POST["nstfeld"]=="" )
     {
        $fehler=2;
     }
  
     if ($fehler<>2)
     {
        if($_POST["name"]=="")
        {
           $text="Sie haben keinen Formularkopfnamen gew�hlt";
           fehler(15);
           $fehler=1;
        }
        if($_POST["typ"]=="")
        {
           $text="Sie haben keinen Datenbankfeldtyp gew�hlt";
           fehler(16);
           $fehler=1;
        }
        if($_POST["tabelle"]=="" and $bereich=="sys_felder")
        {
           $text="Sie haben keine HTML Tabellennummer  gew�hlt";
           fehler(17);
           $fehler=1;
        }
        if($_POST["Label"]=="")
        {
           $text="Sie haben keine HTML Labelbezeichnung  gew�hlt";
           fehler(18);
           $fehler=1;
        }
        if($_POST["nst"]=="")
        {
           $text="Sie haben kein HTML Formulartyp  gew�hlt";
           fehler(19);
           $fehler=1;
        }
        if($_POST["nst"]=="auswahl" && $_POST["nstaktion"]=="")
        {
           $text="Sie haben den HTML Formulartyp Auswahl ohne eine Auswahlliste gew�lt";
           fehler(20);
           $fehler=1;
        }
        if($_POST["nst"]=="combobox" && $_POST["nsttabelle"]=="")
        {
           $text="Sie haben den HTML Formulartyp combobox ohne eine Auswahltabelle gew�lt";
           fehler(21);
           $fehler=1;
        }
        if($_POST["nst"]=="combobox" && $_POST["nstfeld"]=="")
        {
           $text="Sie haben den HTML Formulartyp combobox ohne eine Auswahltabellenfeld gew�lt";
           fehler(22);
           $fehler=1;
        }
        if($_POST["nst"]=="sqlergebnis" && $_POST["sqlstring"]=="")
        {
           $text="Sie haben den HTML Formulartyp sqlergebnis ohne eine SQL String einzugeben, gew�lt";
           fehler(23);
           $fehler=1;
        }
        if($_POST["nst"]=="datum" && $_POST["typ"]<>"datum")
        {
           $text="Sie haben den Datenbank Feldtyp Datum gew�hlt ohne denm HTML Formulartyp Datum zu w�len";
           fehler(24);
           $fehler=1;
        }
        if($_POST["nst"]=="zahl" && $_POST["typ"]<>"zahl")
        {
           $text="Sie haben den Datenbank Feldtyp Numerisch(Zahl) gew�hltlt ohne denm HTML Formulartyp Zahl zu w�len";
           fehler(25);
           $fehler=1;
        }
  
        if($_POST["Datei"]=="")
        {
           $text="Sie haben keine Datenbanktabelle gew�hltt";
           fehler(26);
           $fehler=1;
        }
        if($_POST["feld"]=="")
        {
           $text="Sie haben keine Datenbankfeld  gew�hltlt";
           fehler(27);
           $fehler=1;
        }
        if($_POST["Datei"]>" " && $_POST["feld"]>" ")
        {
           $testsql="select lfdnr from sys_felder where datei='".$_POST["Datei"]."' and feld ='".$_POST["feld"]."' and name='".$_POST["name"]."'";
           if($dres=send_sql($db,$testsql))
           {
               while ($row = mysqli_fetch_array($dres,MYSQLI_ASSOC))
               {
                 foreach($row as $elem)
                 {
                   if($_POST["lfdnr"]==$elem)
                   {
  
                   }
                   else
                   {
                      $text="Feld ist in der formularmaske ".$_POST["name"]." bereits vorhanden";
                      fehler(28);
                      $fehler=1;
                   }
                 }
               }
  
           }
        }
  
  
  
     }
     if($fehler==0)
     {
       maskencheck($db,$_POST["Datei"],$_POST["name"]);
  
  
     }
     if($fehler==2)
       $fehler=0;
   }
   function maskencheck($db,$datendatei,$name)
   {
  	
    $checksql="Select * from sys_felder where datei='".$datendatei."' and feld='lfdnr'";
    if ($checkres=send_sql($db,$checksql))
    {
     $anz= Datensatz_Anzahl($db,$checkres);
  
     if($anz==0)
     {
      	 $checksql="INSERT INTO sys_felder ( datei, label, feld, tabelle, size, nst, sort, nstaktion, status, typ, nsttabelle, nstfeld, aktualisiert_feld, tooltip, inhaltmerken, Mussfeld,name)
       	VALUES ('".$datendatei."','lfdnr','lfdnr',1,10,'gesperrt',1,'','0000-00-00','zahl','','','',NULL,NULL,NULL,'".$name."')";
       	if ($checksql=send_sql($db,$checksql))
       	{
       	}
     }
  
    }
  
  }
  function sonderzeichentest($varinhalt)
  {
       $fehler=0;
      
        for($i = 0; $i < strlen($varinhalt); $i++)
		{
			 $o = ord($varinhalt[$i]);
			
			 if(($o < ord('a') || $o > ord('z'))
			 && ($o < ord('A') || $o > ord('Z'))
			 && ($o < ord('0') || $o > ord('9')))
			{
				if($o==ord("_"))
				{
					
					$fehler=0;
					
				}
				else
				{
					 fehler(29);
					$fehler=1;
				}
			}
			
		}
	

    
    
       return $fehler;
  }
  
  
  
    function automaske($varinhalt,$db)
    {
  
      $muster="sys_";
      $i=0;
      $tabi=$varinhalt;
      $fehler=0;
    
      if($fehler==0)
      {
      $sql="Delete from sys_maske_head where name ='".$varinhalt."'";
      $res=send_sql($db,$sql);
  
      $sql="Delete from sys_felder where name ='".$varinhalt."'";
     $res=send_sql($db,$sql);
  
    
		$sql="Delete from sys_listen where name ='".$varinhalt."'";
      $res=send_sql($db,$sql);
  
      $sql="Select distinct feldtype,tabelle,feld from sys_tabellenfelder where tabelle='".$varinhalt."' order by lfdnr";
      $res=send_sql($db,$sql);
        $myFt = new sys_tabellenfelder;
        $myFt->getnum($res);
        while ($myFt->z < $myFt ->num)
        {
  
          $myFt ->read_row($res);
          $typ=$myFt->feldtype;
          $tabelle=$myFt->tabelle;
          $feld=$myFt->feld;
          $i++;
          if($i>0)
            $t=1;
          if($i>12)
            $t=2;
          if($i>24)
            $t=3;
          if($i>36)
            $t=4;
  	   
          if($feld<>"fremd_lfdnr" and $feld <>"status")
          {
              if($feld=="lfdnr")
              {
                $imerker=$i;
                $i=0;
              }
              if ($typ=="varchar")
              {
                 $sql="insert into sys_felder (datei,label,feld,nst,sort,typ,size,name,tabelle,tooltip2)
                 values('".$tabelle."','".$feld."','".$feld."','text',".$i.",'text',30,'".$tabelle."',".$t.",'global') ";
              }
              if ($typ=="date")
              {
                 $sql="insert into sys_felder (datei,label,feld,nst,sort,typ,size,name,tabelle)
                 values('".$tabelle."','".$feld."','".$feld."','datum',".$i.",'datum',10,'".$tabelle."',".$t.")";
              }
              if ($typ=="time")
              {
                 $sql="insert into sys_felder (datei,label,feld,nst,sort,typ,size,name,tabelle)
                 values('".$tabelle."','".$feld."','".$feld."','zeit',".$i.",'zeit',10,'".$tabelle."',".$t.")";
              }
  
              if ($typ=="int" or $typ=="decimal")
              {
                 $sql="insert into sys_felder (datei,label,feld,nst,sort,typ,size,name,tabelle)
                 values('".$tabelle."','".$feld."','".$feld."','zahl',".$i.",'zahl',10,'".$tabelle."',".$t.")";
              }
              if ($typ=="memo")
              {
                 $sql="insert into sys_felder (datei,label,feld,nst,sort,typ,size,name,tabelle)
                 values('".$tabelle."','".$feld."','".$feld."','textarea',".$i.",'text',30,'".$tabelle."',".$t.")";
              }
              if ($res2=send_sql($db,$sql))
  
              {
              }
              if($feld=="lfdnr")
              {
                $i=$imerker;
              }
  
          }
        }
        $dsql="select feld from sys_felder where name='".$tabi."' order by lfdnr";
        if($dres=send_sql($db,$dsql))
        {
         $varinhalt="lfdnr,";
          while ($row = mysqli_fetch_array($dres,MYSQLI_ASSOC))
          {
             foreach($row as $elem)
             {
               if($elem <>"lfdnr")
                  $varinhalt=$varinhalt.$elem.",";
             }
          }
          $lang=strlen($varinhalt);
          $varinhalt1=substr($varinhalt,0,$lang-1);;
        }
        $varinhalt="";
        $dsql="select typ from sys_felder where datei='".$tabi."' order by lfdnr";
        if($dres=send_sql($db,$dsql))
        {
          $varinhalt="zahl,";
          $z=0;
          while ($row = mysqli_fetch_array($dres,MYSQLI_ASSOC))
          {
             foreach($row as $elem)
             {
                $z++;
                if($z<>1)
                   $varinhalt=$varinhalt.$elem.",";
             }
          }
          $lang=strlen($varinhalt);
          $varinhalt2=substr($varinhalt,0,$lang-1);;
        }
        $varinhalt="";
        $dsql="select feld from sys_felder where name='".$tabi."'and typ='zahl'";
        if($dres=send_sql($db,$dsql))
        {
            while ($row = mysqli_fetch_array($dres,MYSQLI_ASSOC))
            {
              foreach($row as $elem)
              {
                $varinhalt=$varinhalt.$elem.",";
              }
            }
            $lang=strlen($varinhalt);
            $varinhalt3=substr($varinhalt,0,$lang-1);;
  
  
        }
        $varinhalt=$tabi;
        $asql="insert into sys_maske_head (formularname,name,maskenart,hoch,breit,links,oben,Datenliste) values('".$varinhalt."','".$varinhalt."','HM',180,100,0,180,'".$varinhalt."')";
        if ($resw=send_sql($db,$asql))
        {
        }
  
        $sql="Insert into sys_listen (tabelle,suchfelder,listfelder,listtypen,art,summe,name)
        values('".$tabelle."','".$varinhalt1."','".$varinhalt1."','".$varinhalt2."','Datenliste','".$varinhalt3."','".$tabelle."')";
        if($res=send_sql($db,$sql))
        {
			?>
			<script>
				alert("Autoformular erstellt");
			</script>
			<?php
        }
      }
    }
    ?>
